Package org.eclipse.ecf.provider.comm.tcp

# Interface IClientSocketFactory

All Known Implementing Classes:
  `SocketFactory`

public interface IClientSocketFactory

## Method Summary

Modifier and Type
Method
Description
`Socket`
`createSocket(String name, int port, int timeout)`

## Method Details

### createSocket

Socket createSocket(String name, int port, int timeout) throws IOException

Throws:
  `IOException`